function UpdateDistribution
global f g saved 
disp('UpdateDistribution')
%--------------------------------------------------------------------------
% Copying values of the variables from the axial view to the 'saved' struct
%--------------------------------------------------------------------------
saved.sl=get(g.nsSlider,'Value');
saved.p=g.p;
saved.b=get(g.bSlider,'Value');
saved.Rmat=g.Rmat;
saved.Zmat=g.Zmat;
saved.c_mMat=g.c_mMat;
saved.Hub=g.Hub;
%--------------------------------------------------------------------------
% temp vector for the stop dragging function. 
%--------------------------------------------------------------------------
f.temp=f.point;
%--------------------------------------------------------------------------
% Get chosen distriution, 1=UCu, 2=beta, and find Bezier curve for the
% chosen distribution
%--------------------------------------------------------------------------
i=get(f.centerMenu,'Value');
f.BDist=func_BezierCurve(f.point(:,:,i), saved.p);
%--------------------------------------------------------------------------
% Initializing matrixes needed for the distributions
%--------------------------------------------------------------------------
[Point,Line]=size(saved.Rmat);
f.Umat=zeros(Point,Line);
f.Cumat=f.Umat;
f.Wmat=f.Umat;
f.UCumat=f.Umat;
f.Gmat=f.Umat;
f.Hmat=f.Umat;
f.beta=f.Umat;
f.UCumat(1,:)=saved.u_1*saved.c_u1;
f.Umat(1,:)=saved.u_1;
f.Wmat(1,:)=saved.w_1;
f.Cumat(1,:)=saved.c_u1;
f.beta(1,:)=saved.beta_1;
plotDistribution(1,i);
saved.dist=1;
% set(gcf,'CurrentAxes',g.AxialFig);
% set(gcf,'WindowButtonUpFcn',@stopdragfcnaxial);
end
% function stopdragfcnaxial(~,~)
% global g
% if g.axialindex==1;
%     g.outlet=g.tempo;
%     g.shroud=g.temps;
%     set(gcf,'CurrentAxes',g.AxialFig);
%     set(gcf,'WindowButtonMotionFcn','');
%     plotAxialView   
% end
% end
