function UpdateLabyrinths
global saved c d e
disp('UpdateLabyrinths')
saved.BTpointPS = c.BTpointPS;
saved.ttrailing = c.ttrailing;
saved.tleading = c.tleading;
saved.a_ps=c.a_ps;
saved.a_ss=c.a_ss;
    Ttrail = c.ttrailing;
    Tlead = c.tleading;
save('Thickness.mat', 'Ttrail','Tlead');
%--------------------------------------------------------------------------
% Plotting one streamline of the runner in the middle of the runner cascade.
%--------------------------------------------------------------------------
[~,Line]=size(saved.Rmat);
set(gcf,'CurrentAxes',d.gvFig);
hold on
i=0;
try delete (d.runnerplot); end
d.runnerplot=0;
for angle=0:2*pi/saved.Z_rc:2*pi
    i=i+1;
    [theta r]=cart2pol(e.Xmat(:,round(Line/2)),e.Ymat(:,round(Line/2))); % runner middle contour
    theta=theta+angle;
    [x y]=pol2cart(theta,r);
    d.runnerplot(i)=plot(x,y,'k');
end

% %--------------------------------------------------------------------------
% % Plotting guide vanes, stay vanes and spiral casing according to La
% % Higuera
% %--------------------------------------------------------------------------
% if saved.rc==0
%     LaHiguera_GV_SV_SC
%     saved.rc=1;
% end
% %--------------------------------------------------------------------------
% % Fill summary tables and plot labyrinths in separate functions
% %--------------------------------------------------------------------------

plotLabyrinth
% if saved.sum==0
%     Summaryfill
%     saved.sum=1;
% end
saved.lab=1;
end