function UpdateThickness
disp('UpdateThickness')
global saved c e 
saved.BLpoint = e.BLpoint;
saved.Z_rc = e.Z_rc;
saved.LeaningOption = get(e.LeaningCheck,'Value');
Zrc = e.Z_rc;
save('Zrc.mat','Zrc');
%setting leading and trailing edge, fixed runner inlet and outlet thickness according to Ole Gunnar
set(c.ThicknessMinValueStatic,'String',num2str(e.tmaxbrekke));
if c.first == 0

if saved.bt==0
    td = exist('Thickness.mat');
    if td == 2;
        load('Thickness.mat');
        c.ttrailing = Ttrail; %trailing edge  %Using data from last run
        c.tleading = Tlead; %leading edge
    else
        c.ttrailing=8; %trailing edge                                              %Guessing, do control estimations
        c.tleading=15; %leading edge
    end
    aBG
end
end

set(c.ThicknessLeEdit,'String',num2str(c.tleading));
set(c.ThicknessTeEdit,'String',num2str(c.ttrailing));
c.drag=0;
InitialiseBT
InitialiseBG
% plotBT
[Point,Line]=size(saved.Rmat);
set(gcf,'CurrentAxes',c.BladeFig); % GUI code
for i=1:size(c.BTLinePS,1);
    anta(i) = c.BTLinePS(end+1-i,2);
end
plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line);

c.first=1;
saved.bt=1;
end

function aBG
disp('aBG')
global c
a_ss=c.tleading*3/2;
set(c.aSSEdit,'String',num2str(a_ss));
set(c.aSSSlider,'Value',a_ss);
a_ps=c.tleading/2;
set(c.aPSEdit,'String',num2str(a_ps));
set(c.aPSSlider,'Value',a_ps);
end