function plotGV
disp('plotGV')
global b 
%--------------------------------------------------------------------------
% Plotting guide vanes according to existing guide vanes at La Higuera, Chile
%--------------------------------------------------------------------------
b.Z_gv=20;
%L_gv=0.403;
%L_gvax=0.5*L_gv;
d.D_gvax=2.4;
alpha_gvax=34;
d.Gvx=d.Gv_mat(:,1)*L_gv-(L_gv-L_gvax);
d.Gvy=d.Gv_mat(:,2)*L_gv;
[theta,r]=cart2pol(d.Gvx, d.Gvy);
theta=theta+(pi/2-alpha_gvax*pi/180)-pi;
[d.Gvx,d.Gvy]=pol2cart(theta, r);
d.Gvx=d.Gvx+d.D_gvax/2;
i_gv=0;
set(gcf,'CurrentAxes', d.gvFig)
try delete(d.gvplot); end
d.gvplot=0;
hold on
%Use 17 insted of 19, and get real distribution of stay vanes. Then special
%plotting is necessary for the fold closing up the spiral casing
for angle=pi/2-9*pi/180:-2*pi/d.Z_gv:pi/2-9*pi/180-19*18*pi/180     
        i_gv=i_gv+1;    
        [theta r]=cart2pol(d.Gvx, d.Gvy);
        theta=theta+angle;
        [Gvxplot Gvyplot]=pol2cart(theta,r);
        d.gvplot(i_gv)=plot(Gvxplot,Gvyplot,'b','linewidth',2);
end