function OptimiseSV
global b saved main h
clear b.D_svinvect; clear b.sigma_svvect;
b.errorcount=0;
multiplication=1.001;           % Initial assumption for calcualtion
sigma_sv=b.sigmaSV*1.1;           % To enter the while loop
stoploop = 0;
b.D_svin=b.D_svout*1.001;
sigma_old=100*sigma_sv;
L_old=1;
% while sigma_sv>b.sigmaSV && stoploop < 100000
while abs(sigma_sv-b.sigmaSV)>1e6
    stoploop = stoploop +1;
%     disp('sigma')
%     b.D_svin=ceil(b.D_svout*multiplication*1000)/1000;
%     b.D_svin=b.D_svin+1/1000;
    b.D_svin=b.D_svin+min(6e-10*(sigma_sv-b.sigmaSV),0.10);
%     b.D_svinvect(stoploop)=b.D_svin;
    multiplication = multiplication+0.005;
% while b.sigmaSV*0.999999 >= sigma_sv >= b.sigmaSV*1.000001
%     stoploop = stoploop +1;
% %     disp('sigma')
%     b.D_svin=b.D_svin+1e8*(1/b.sigmaSV-1/sigma_sv);
%     b.D_svinvect(stoploop)=b.D_svin;
%     a=b.D_svin
% % %     
    b.c_msvin=saved.Q/(b.D_svin*b.B_sv*pi);
    b.c_usvin=b.c_usvout*(b.D_svout/b.D_svin);
    b.alpha_svin=atand(b.c_msvin/b.c_usvin);

    b.R_svout=b.D_svout/2;
    b.R_svin=b.D_svin/2;     %stay vane radius 
    b.C_t=b.c_usvin*b.R_svin; % Free vortex constant
    imax=max(30-stoploop,ceil(10*abs(b.D_svin-b.D_svout)));
%     imax=ceil(40*abs(b.D_svin-b.D_svout))
    b.R_sv=zeros(1,imax);
    b.alpha_sv=b.R_sv;
    b.theta_sv=b.R_sv;
    b.L_sv=b.R_sv;
    b.angleBsv=b.R_sv;
    b.c_usv=b.R_sv;
    b.c_msv=b.R_sv;
    b.c_usv(1)=b.c_usvout;
    b.c_msv(1)=b.c_msvout;
    b.dR=(b.R_svin-b.R_svout)/(imax-1);
    b.R_sv(1)=b.R_svout;
    b.theta_sv(1)=0;
    b.alpha_sv(1)=b.alpha_svout;
    b.L_sv(1)=0;
    b.angleBsv(1)=0;
    for i=2:imax+1
        b.R_sv(i)=b.R_sv(i-1)+b.dR;
        b.c_usv(i)=b.C_t/b.R_sv(i);
        b.c_msv(i)=h.Qn/(2*pi*b.R_sv(i)*b.B_sv);
        b.alpha_sv(i)=atand(b.c_msv(i)/b.c_usv(i));
        b.angleBsv(i)=asind(b.R_sv(i-1)/b.R_sv(i)*sind(b.alpha_sv(i-1)+90));
        b.theta_sv(i)=b.theta_sv(i-1)+180-(b.angleBsv(i)+b.alpha_sv(i-1)+90);
        b.L_sv(i)=b.L_sv(i-1)+(b.R_sv(i-1)*sind(b.theta_sv(i)-b.theta_sv(i-1))/sind(b.angleBsv(i)));
    end
%     L_sv=b.L_sv(end);
    b.B=b.B_sv;                                 % Stay vane height
    b.k_2=0.1;                                  % For high head francis - overlap to stay vane
    b.Z_sc=str2double(get(b.Z_scEdit,'String'));  %number of spiral casing sections
    b.dzdeg=360/b.Z_sc;                         %degrees between changing spiral casing section

%     i=0;
    b.Rstart=b.R_svin;
    b.deltaphi=1*pi/180;
    b.thetavect=0:b.dzdeg:360;
    b.Qvect=zeros(size(b.thetavect));
    b.Rtvect=b.Qvect;
    b.rvect=b.Qvect;
    b.C_tCalc=b.Qvect;
    b.R_svinvect=ones(size(b.thetavect))*b.R_svin;

%     for zdegvect=b.thetavect
    zdegvect=b.dzdeg;
%     i=i+1;
    i=1;
    b.Qvect(i)=(360-zdegvect)/360*h.Qn;
    b.r_start=1;
    b.r=b.r_start;
    b.r_new=0;
    j=0;
%     if (b.L_sv(end)-L_sc)>0.0
    while abs(b.r-b.r_new)>0.01
%         disp('sc')
        j=j+1;
        b.r_new=b.r;
        b.phi_0=asin(0.5*b.B/b.r);
        b.phi_y=acos((b.r*cos(b.phi_0)-b.k_2*b.B)/b.r);
        if isnan(b.phi_y), break, end
        phivect=b.phi_y:b.deltaphi:pi;
        b.Rt=b.R_svin+b.r*cos(b.phi_0)-b.k_2*b.B;
        b.integral=b.deltaphi*trapz((sin(phivect).^2)./(b.Rt-b.r.*cos(phivect)));
        b.r=sqrt(b.Qvect(i)/(2*b.C_t*b.integral));
        b.C_tcalc=b.Qvect(i)/(2*(b.r^2)*b.integral);
    end
%     end
        b.C_tCalc(i)=b.C_tcalc;
        b.Rtvect(i)=b.Rt;
        b.rvect(i)=b.r;
%     end
%     b.rvect(end)=0;
%     b.Rtvect(end)=b.R_svin;
%     b.theta=b.thetavect/180*pi;  
    b.A_svf=pi*(b.Rtvect(1)^2-(b.D_gvax/2)^2);  %
    b.Pmax=main.rho*main.grav*saved.H*1.2;   % static pressure + safety factor (=1.2) for pressure pulsation %% ???
    b.F_sv=b.Pmax*b.A_svf;               % force acting on stay vanes
    b.t_sv=str2double(get(b.t_svEdit,'String'))/1000;
    sigma_sv=b.F_sv/(b.L_sv(end)*b.t_sv*b.Z_sv);
    if (b.L_sv(end)-L_old)>0 && (sigma_sv-sigma_old)>0
        b.errorcount=b.errorcount+1;
        if b.errorcount>5
        disp('Error')
        break
        end
    end
%     b.sigma_svvect(stoploop)=sigma_sv;
   L_old=b.L_sv(end);
   sigma_old=sigma_sv;
   b.DTable(9,1)=sigma_sv/1000000;
   set(b.DiameterTable,'Data',b.DTable);
   
end
end
