function UpdateRadial
global c e f g h saved main
disp('UpdateRadial')
e.bladeleaningindex=1;
InitialiseBL
saved.chosendist=get(f.centerMenu,'Value');
saved.c_mMat=saved.c_mMat;
saved.cMat=(f.Cumat.^2+saved.c_mMat.^2).^0.5;
saved.Wmat=((f.Umat-f.Cumat).^2+saved.c_mMat.^2).^(1/2);
saved.point=f.point;
e.Length0 = 0; % Length variable used in plotUCu3D
e.SBL0 = 0;
%--------------------------------------------------------------------------
% Radial view
% Calculating the Theta matrix
%--------------------------------------------------------------------------
e.Theta_0=zeros(size(saved.Rmat));
[Point,~]=size(saved.Rmat);
for P=2:Point
    deltaH=f.Hmat(P,:)-f.Hmat(P-1,:);
    e.Theta_0(P,:)=e.Theta_0(P-1,:)+deltaH./saved.Rmat(P,:);
end
%--------------------------------------------------------------------------
% Including blade leaning
%--------------------------------------------------------------------------
BladeLeaning
% set(gcf,'CurrentAxes',f.changeDist)
% set(gcf,'WindowButtonUpFcn',@stopdragfcndist);
%--------------------------------------------------------------------------
% calculating required thickness of blade. Max thickness is calculated for
% both a reltion given by Brekke and a reltaion given by Kvaerner. Due to
% too low estimates of blade thickness in terms of erosion, fixed values
% are chosen.
%--------------------------------------------------------------------------

% td = exist('Zrc.mat');
% if td == 2;
%     load('Zrc.mat')
%     Zrc
%     e.Z_rc= Zrc;
%     set(e.NoBladesEdit,'String',num2str(Zrc));
% end
e.b=saved.B_1;
e.a=1.5*e.b;
% e.a=saved.Rmat(1,1)-(saved.Rmat(end,end)+saved.Rmat(end,1))/2;

% z = 1-(0.8+0.48)/2
e.R_t=saved.Rmat(1,1)-e.a;
e.R_m=(saved.Rmat(1,1)+e.R_t)/2;
Z_r = str2double(get(e.NoBladesEdit,'String'));
e.deltap=saved.power/(Z_r*e.a*e.b*e.R_m*saved.omega);
e.tmaxbrekke=sqrt(2*e.b^2*e.deltap/main.sigmamax)*1000; %[mm]
% e.tmaxkvarner=5.7*(0.5+0.96*h.speedNr)*sqrt((((h.power/1000)/(saved.H^1.5)*saved.H)/((1+4.7*h.speedNr)*str2double(get(e.NoBladesEdit,'String')))));
% % % e.tmax=max(e.tmaxbrekke, e.tmaxkvarner);
% % % % e.tout=0.72*h.speedNr^(1/3)*sqrt((h.power/1000)/(g.H^1.5)*g.H)/sqrt(e.maxZ_r);
% e.tmax=15;
% e.tout=8;
% set(c.ThicknessMinValueStatic,'String',num2str(e.tmaxbrekke));
% set(c.ThicknessMinValueStatic,'String',num2str(e.tmaxkvarner));
% set(c.ThicknessBlades2,'String',[num2str(e.tout) ' mm']);

%--------------------------------------------------------------------------
% Calculating initial value of D_gvax, D_gvax=D_0
%--------------------------------------------------------------------------
% d.Z_gv=str2double(get(d.ZgvEdit,'String'));
% d.D_gvout=1.05*saved.D_1;
% d.B_gvout=saved.B_1+0.001;
% d.c_ugvout=saved.c_u1*saved.D_1/d.D_gvout;
% d.c_mgvout=h.Q/(d.D_gvout*d.B_gvout*pi);
% d.alpha_gvout=atand(d.c_mgvout/d.c_ugvout);

% multiplication=1.001;           % Initial assumption for calcualtion
% axislocation=0.58;              % Initial value to start the loop
%        while (axislocation <0.6||axislocation>0.7)
%        D_gvax=multiplication*d.D_gvout;
%        multiplication = multiplication+0.01;
%        % Length from the vane outlet to the axis (Using Trigonometery)
%        angleB=asind((d.D_gvout/D_gvax)*sind(d.alpha_gvout+90));
%        angleC=180-(angleB+d.alpha_gvout+90);
%        L_gvax=sind(angleC)*D_gvax/(2*sind(d.alpha_gvout+90));
%
%        L_gv=1.1*pi*D_gvax/d.Z_gv; % Length of guidevane with 10% overlap factor
%        axislocation=L_gvax/L_gv;  % Calculate axis location
%        end
% set(d.DgvaxEdit,'String',num2str(D_gvax)); %GUI code
%--------------------------------------------------------------------------
% Calculating guide vanes
%--------------------------------------------------------------------------
% calcGV
saved.rv=1;
end
% function stopdragfcndist(~,~)
% global f saved
% 
% f.point=f.temp;
% set(gcf,'CurrentAxes',f.changeDist)
% set(gcf,'WindowButtonMotionFcn','');
% i=get(f.centerMenu,'Value');
% f.BDist=func_BezierCurve(f.point(:,:,i), saved.p);
% plotDistribution(0,i)
% 
% end