function labyrinth
disp('labyrinth')
global l main
%--------------------------------------------------------------------------
% GUI items code
%--------------------------------------------------------------------------
l.LabyrinthAxes = axes('Position',[0.03 0.3 0.65 0.65],'Units','normalized','Parent',main.panels(main.lab),...
                   'box','on','DataAspectRatio',[1 1 1]);
l.LabyrinthFig=gca;
%--------------------------------------------------------------------------
% Labyrinths data panel
%--------------------------------------------------------------------------
l.Labdatapanel = uipanel('Parent',main.panels(main.lab),'Title','Guide vane data',...
    'FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
    'Position',[.70 .60 .20 .25]);
l.D2LEdit=uicontrol('Style', 'edit','Units', 'normalized','position', [0.32 0.84 0.2 0.14],...
                       'Callback', @LabEditCallback,'Parent',l.Labdatapanel,'string','20');    
l.D2LStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'T_shroud','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.80 0.3 0.18],...
                       'Parent',l.Labdatapanel);  
l.D2LStaticm=uicontrol('Style', 'text','String', '[mm]','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','HorizontalAlignment','left', 'position',[0.55 0.80 0.15 0.18],...
                       'Parent',l.Labdatapanel);                    
l.FresStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'F_res','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.60 0.8 0.18],...
                       'Parent',l.Labdatapanel); 
l.DshaftStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'D_shaft','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.40 0.8 0.18],...
                       'Parent',l.Labdatapanel);
l.DpStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'D_p','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.20 0.8 0.18],...
                       'Parent',l.Labdatapanel);
l.DLStatic=uicontrol('Style', 'text','HorizontalAlignment','left','String', 'D_L','FontSize',main.font,'BackgroundColor',[.8 .8 .8],...
                       'Units', 'normalized','position', [0.03 0.0 0.8 0.18],...
                       'Parent',l.Labdatapanel);                   
end
function LabEditCallback(~,~)
disp('LabEditCallback')
plotLabyrinth
end