function plotBT
disp('plotBT')
global c saved
intstep = saved.p;
c.BTLinePS=func_BezierCurve(c.BTpointPS, intstep);
set(gcf,'CurrentAxes',c.BladeThicknessFig);
set(gcf,'WindowButtonUpFcn',@stopdragfcnbt);
hold on
try delete (c.BTLinePlotPS);end
c.BTLinePlotPS=plot(c.BTLinePS(:,1),c.BTLinePS(:,2),'-k');  % plotting the bezier curve
try delete (c.BTPointPlotPS);end
c.BTPointPlotPS=plot(c.BTpointPS(:,1),c.BTpointPS(:,2),'marker','s','markersize',5,'markerfacecolor','c','linestyle','none');
set(c.BTPointPlotPS,'ButtonDownFcn',{@startdragfcnbt});
try delete (c.BTPointPlotPS2);end
c.BTPointPlotPS2(1)=plot(c.BTpointPS(1,1),c.BTpointPS(1,2),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');
c.BTPointPlotPS2(2)=plot(c.BTpointPS(end,1),c.BTpointPS(end,2),'marker','s','markersize',5,'markerfacecolor','k','linestyle','none');
try delete (c.BTLinePlotSS);end
c.BTLinePlotSS=plot(c.BTLinePS(:,1),-c.BTLinePS(:,2),'-k');  % plotting the bezier curve
try delete (c.BThelpPlot);end
c.BThelpPlot=plot([c.BTLinePS(1,1) c.BTLinePS(1,1)],[min(min(-c.BTLinePS(:,2)))-3 max(max(c.BTLinePS(:,2)))+3],'marker','s','markersize',.5,'markerfacecolor','none','linestyle','none'); 
end

function startdragfcnbt(~,~)
disp('startdragfcnbt')
global c
x=get(gca,'CurrentPoint');
x=min(x,max(c.BTpointPS(2:end-1,1)));
x=max(x,min(c.BTpointPS(2:end-1,1)));
index=interp1(c.BTpointPS(:,1),1:size(c.BTpointPS,1),x(1,1),'nearest');
set(gcf,'WindowButtonMotionFcn',{@draggingfcnbt,index});
end

function draggingfcnbt(~,~,index)
disp('draggingfcnbt')
global c
c.drag=1;
pt=get(gca,'CurrentPoint');
newx=get(c.BTPointPlotPS,'XData');
newx(1,index)=pt(1,1);
newy=get(c.BTPointPlotPS,'YData');
newy(1,index)=pt(1,2);
c.temp(:,1)=newx';
c.temp(:,2)=newy';
set(c.BTPointPlotPS,'XData',newx);
set(c.BTPointPlotPS,'YData',newy);
end

function stopdragfcnbt(~,~)
disp('stopdragfcnbtplotBT')
global c saved e
if c.drag==1
    c.drag=0;
    c.BTpointPS=c.temp;
    set(gcf,'WindowButtonMotionFcn','');
%     plotBT
    [Point,Line]=size(saved.Rmat);
    set(gcf,'CurrentAxes',c.BladeFig); % GUI code
    for i=1:size(c.BTLinePS,1);
        anta(i) = c.BTLinePS(end+1-i,2);
    end
    plotthicknessBT(2*anta(:)/1000,e.Xmat,e.Ymat,saved.Zmat,Point,Line);
end
end