function plotLeadingG
disp('plotLeadingG')
global c main
set(gcf,'CurrentAxes', c.BladeGeometryFig2)

% try delete (c.LeadingAxes);end
% c.LeadingAxes = axes('Position',[0.30 0.03 0.23 0.30],'Units','normalized','Parent',main.panels(main.bt),...
%     'box','on','DataAspectRatio',[1 1 1]);
hold on
try delete(c.leadingG); end 
c.leadingG = 0;
axis equal
% set(gca,'XDir','rev');
delta=c.tleading/(2*c.btemp);
% a_ps=c.a_ps*delta;
% a_ss=c.a_ss*delta;
% a_ps=c.a_ps(1)*delta;
% a_ss=c.a_ss(1)*delta;
a_ps=get(c.aPSSlider,'value');
a_ss=get(c.aSSSlider,'value');
b=c.tleading/2;
dy=1/20*b;
for i=1:21
    y(i)= i*dy-dy;
    x_ps(i)=a_ps*sqrt(1-(y(i)/b)^2)-a_ps;
    x_ss(i)=a_ss*sqrt(1-(y(i)/b)^2)-a_ss;  
end
c.btemp=b;
plotend=[(-x_ss(end)*1.1) (-x_ps(end)*1.1)];
c.leadingG = 0;
c.leadingG(1)=plot([0 max(plotend)],[0 0],'k--','linewidth',1); %plotting center axis
c.leadingG(2)=plot(-x_ps,y); %plotting pressure side
c.leadingG(3)=plot(-x_ss,-y); %plotting suction side
c.leadingG(4)=plot([-x_ss(end) max(plotend)],[-b -b],'k-');
c.leadingG(5)=plot([-x_ps(end) max(plotend)],[b b],'k-');
c.leadingG(6)=plot([-x_ss(end) -x_ss(21)],[-b 0],'k-');
c.leadingG(7)=plot([-x_ps(end) -x_ps(21)],[b 0],'k-');
c.leadingG(8)=plot([-x_ss(end) 0],[-0.008*b -0.008*b],'r-','linewidth',2);
c.leadingG(9)=plot([-x_ps(end) 0],[0.008*b 0.008*b],'b-','linewidth',2);
c.leadingG(10)=plot(-max(plotend)*0.05,0,'marker','s','markersize',.5,'markerfacecolor','none','linestyle','none');
% c.leadingG(11)=plot(-2,0,'marker','s','markersize',.5,'markerfacecolor','none','linestyle','none');%; 0 (-c.tleading*0.6); 0 (c.tleading*0.6)],'.')
%ylabel('Thickness [mm]'); %move to right side?

%--------------------------------------------------------------------------
% Annotate the plot
%--------------------------------------------------------------------------
% a(1)=text((a_ps/2+0.5), 1.2,['a\_ps'],'color',[0 0 1],'FontSize',main.font-1,'Parent',c.BladeGeometryFig2)
% a(2)=text((a_ss/2+0.5), -1.2,['a\_ss'],'color',[1 0 0],'FontSize',main.font-1,'Parent',c.BladeGeometryFig2)
end