function plottrailingG
disp('plottrailingG')
global c main
set(gcf,'CurrentAxes', c.BladeGeometryFig)
hold on
axis equal
% axis([-1 1 -1 1]);                                         %include real scale for x axis
title('Trailing edge geometry','FontSize',main.font+2);
ylabel('Thickness [mm]');
try delete(c.trailingG); end 
c.tr_a=c.ttrailing/2; % the flat part of the trailing edge
c.tr_b=(2*c.ttrailing/3)/tand(30); % the long side of the 30 degree angle
plotend=c.tr_b+5;
c.trailingG = 0;
c.trailingG(1) = plot([0 plotend],[0 0],'k--','linewidth',1); %plotting center axis
c.trailingG(2) = plot(-2,(-c.tr_a-1),'x');
c.trailingG(3) = plot([plotend 0 0 c.tr_b plotend],[c.tr_a c.tr_a c.tr_a/3 -c.tr_a -c.tr_a],'k-');
c.trailingG(4) = plot([0 c.tr_b c.tr_b],[0 0 -c.tr_a],'r--');
c.trailingG(5) = plot(-2,(c.tr_a+1),'x');


end